
From: Olaf Hering <olh@suse.de>

Prevent zombies.


---

 25-akpm/init/main.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN init/main.c~initramfs-search-for-init-zombie-fix init/main.c
--- 25/init/main.c~initramfs-search-for-init-zombie-fix	2004-03-20 12:23:04.334607448 -0800
+++ 25-akpm/init/main.c	2004-03-20 12:23:04.337606992 -0800
@@ -596,7 +596,7 @@ static void free_initmem_on_exec(void)
 	int fd[2];
 
 	do_pipe(fd);
-	kernel_thread(free_initmem_on_exec_helper, &fd, 0);
+       kernel_thread(free_initmem_on_exec_helper, &fd, SIGCHLD);
 
 	sys_dup2(fd[1], 255);   /* to get it out of the way */
 	sys_close(fd[0]);

_
